# Attributes of the Request

Most of the request of Firstoken Payments API, has some of the following attributes

**transaction\_info** *{object}*

> Required: true
>
> Represents the information details of the request in a JSON object. The object has the following attributes:
>
> * **type**: string\
>   Type value represent the type of request that is sent.
>
>   Example: “authorization”
>
>   *Required*: true
> * **reference\_code**: string\
>   Represents your order reference or tracking number for this request.
>
>   Example: "123456789"
>
>   *Required*: true

**card** *{object}*

> Required: true
>
> Represents the credit card JSON object. The object has the attributes:
>
> * **number:** *int*\
>   Represents a Luhm compliant credit card value.\
>   Example: "4242424242424242"\
>   \&#xNAN;*Required: true*
> * **expiration\_date:** *string* \
>   Represents the expiration date of the card.\
>   Example: "01/27" | "01/2027"\
>   \&#xNAN;*Required: true*
> * **security\_code**: string\
>   Security code value represents the expiration date of the card.\
>   Example: "123"
>
>   *Required*: true

**order\_info** *{object}*

> Required: true
>
> This object represents the order information details with the attributes:
>
> * **amount\_details:** *{object}*\
>   *R*epresents the amount information details for the transaction, must contain these attributes:
>   * total\_amount: *integer*\
>     *Represents the total of the transaction.*\
>     Example: 1000\
>     \&#xNAN;*Required: true*
>   * *currency: string*\
>     *Represents the currency.* Use the three-character ISO Standard Currency Codes.\
>     Example: "COP"\
>     \&#xNAN;*Required: true*
> * ***installments**: integer*\
>   Represents the number of installments.\
>   Example: 1
>
>   *Required*: false

**bill\_to** *{object}*

> Required: true
>
> Represents the billing JSON object with the following the attributes:
>
> * **first\_name**: string
>
>   Example: “Steve”
>
>   *Required*: true.
> * **last\_name**: string
>
>   Example: “Jobs”
>
>   *Required*: true.
> * **country**: string
>
>   Example: “United States”
>
>   *Required*: true.
> * **address\_1**: string
>
>   Example: “412 W, Flower Village”
>
>   *Required*: true.
> * **address\_2**: string
>
>   Example: “apartment 54”
>
>   *Required*: true.
> * **city**: string
>
>   Example: “Miami”
>
>   *Required*: true.
> * **state**: string
>
>   Example: “Florida”
>
>   *Required*: true.
> * **phone\_number**: string
>
>   Example: “2561234567”
>
>   *Required*: true.
> * **email**: string
>
>   Example: “<steve.jobs@test.com>”
>
>   *Required*: true.
> * **postal\_code**: string
>
>   Example: “33125”
>
>   *Required*: true

**device\_info** *{object}*

> Required: false
>
> Represents the device information JSON object, provide information about the device like the following attribute:
>
> * **ip\_address**: string\
>   IP address of the device.
>
>   Example: “181.98.78.6”
>
>   Required: false


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/payments/attributes-of-the-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
